{"templateId":"markdown","versions":[{"version":"shipengine","label":"ShipStation API (formerly ShipEngine)","link":"/apis/shipengine/docs/getting-started/curl","default":false,"active":false,"folderId":"58c9a61d"},{"version":"shipstation-v2","label":"ShipStation V2 API","link":"/apis/docs/getting-started/curl","default":true,"active":true,"folderId":"58c9a61d"},{"version":"shipstation-v1","label":"ShipStation V1 API","link":"/apis/shipstation-v1/docs/getting-started/curl","default":false,"active":false,"folderId":"58c9a61d"}],"sharedDataIds":{"sidebar":"sidebar-apis/@shipengine/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"How to Use curl","keywords":"shipping, labels, shipstation, documentation, api","siteUrl":"https://docs.shipstation.com","lang":"en-US","llmstxt":{"hide":false,"title":"ShipStation API LLM Docs","description":"Find links and references to all markdown documentation for use with LLMs","excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"how-to-use-curl","__idx":0},"children":["How to Use curl"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All of the examples in ShipStation's documentation include an example ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://curl.haxx.se"},"children":["curl"]}," command. A free, ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://github.com/curl/curl"},"children":["open source"]},", command-line tool, curl's already installed on most operating systems."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To see if you already have curl installed, open your terminal and type ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["curl --version"]},". If it's installed, you'll see the version number and which features are enabled."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"learning-resources","__idx":1},"children":["Learning Resources"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can find a ton of great resources within ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://curl.haxx.se/docs/"},"children":["curl's own documentation"]},", including ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://curl.haxx.se/docs/httpscripting.html"},"children":["this excellent scripting tutorial"]},". In addition, Nordic APIs has an informative guide to some of ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://nordicapis.com/understanding-the-hidden-powers-of-curl/"},"children":["curl's hidden powers"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"running-curl-examples-in-terminal","__idx":2},"children":["Running curl Examples in Terminal"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Since curl is already installed on most computers, you can copy a code sample right from our docs and paste it into your terminal to send a request to the ShipStation API."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Give it a try with this sample that lists your carriers:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -iX GET https://api.shipstation.com/v2/carriers \\\n-H 'API-Key: __YOUR_API_KEY_HERE__'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"success","name":"TIP"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["__YOUR_API_KEY_HERE__"]}," with your own key. See ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/authentication"},"children":["Security & Authentication"]}," to find out how to obtain one."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"running-curl-examples-in-postman","__idx":3},"children":["Running curl Examples in Postman"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If you're not comfortable using curl in the terminal, or if you just prefer GUI apps instead, then ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://www.getpostman.com/downloads/"},"children":["Postman"]}," is a great choice. Postman even allows you to import curl commands so you can copy any curl samples in ShipStation's documentation (such as the one above) and paste them into Postman."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"step-1-import-curl","__idx":4},"children":["Step 1: Import curl"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Click the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["Import"]}," button in the Postman toolbar to open the Import dialog window."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In the Import window, click the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["Paste Raw Text"]}," tab, which will show you a large textbox where you can paste a curl command."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["After pasting the curl command, click the ",{"$$mdtype":"Tag","name":"em","attributes":{},"children":["Import"]}," button at the bottom of the dialog window and Postman will automatically convert the curl command into a Postman request."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"step-2-send-the-request","__idx":5},"children":["Step 2: Send the Request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Importing the curl command will create a new Request tab in the main Postman window. The Request will already be filled-in with the URL, headers, query parameters, request body, and other information from the curl command. All you need to do is click ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Send"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The response will display on the right-hand side or on the bottom half of the screen, depending on whether you have Postman configured in a vertical or horizontal layout."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"success","name":"TIP"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can also skip the import step entirely by using our official ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/docs/getting-started/postman"},"children":["Postman Collection"]},", which already has every ShipStation API V2 endpoint ready to go."]}]}]},"headings":[{"value":"How to Use curl","id":"how-to-use-curl","depth":1},{"value":"Learning Resources","id":"learning-resources","depth":2},{"value":"Running curl Examples in Terminal","id":"running-curl-examples-in-terminal","depth":2},{"value":"Running curl Examples in Postman","id":"running-curl-examples-in-postman","depth":2},{"value":"Step 1: Import curl","id":"step-1-import-curl","depth":3},{"value":"Step 2: Send the Request","id":"step-2-send-the-request","depth":3}],"frontmatter":{"seo":{"title":"How to Use curl"}},"lastModified":"2026-09-16T07:29:14.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/apis/docs/getting-started/curl","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}